Package be.fgov.ehealth.samcivics.schemas.v2

# Class FindCNKResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.samcivics.schemas.v2.FindCNKResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class FindCNKResponse extends ResponseType implements Serializable
Response structure returning information on AMPP

Java class for FindCNKResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCNKResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Product" type="{urn:be:fgov:ehealth:samcivics:type:v2}ProductType" maxOccurs="unbounded"/>
             <element name="VersionNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCNKResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ProductType>`
  `getProducts()`
  Gets the value of the products property.
  `BigInteger`
  `getVersionNum()`
  Gets the value of the versionNum property.
  `void`
  `setVersionNum(BigInteger value)`
  Sets the value of the versionNum property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCNKResponse

    public FindCNKResponse()

- ## Method Details

  - ### getProducts

    public List<ProductType> getProducts()
    Gets the value of the products property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the products property.

    For example, to add a new item, do as follows:

         getProducts().add(newItem);

    Objects of the following type(s) are allowed in the list `ProductType`

    Returns:
      The value of the products property.

  - ### getVersionNum

    public BigInteger getVersionNum()
    Gets the value of the versionNum property.
    Returns:
      possible object is `BigInteger`

  - ### setVersionNum

    public void setVersionNum(BigInteger value)
    Sets the value of the versionNum property.
    Parameters:
      `value` - allowed object is `BigInteger`